This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 62315 - where is up2datepopt module?
where is up2datepopt module?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: up2date (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 11:36 EST by Sammy
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 00:00:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sammy 2002-03-29 11:36:59 EST
Latest rawhide versions:

up2date-2.7.65-7.x.3
rpm-python-4.0.4-7x.9
python-clap-1.0.0-2

are FAILING for two reasons:

1) There is no clap module in rhn's up2dat_client directory BUT there are in
    /usr/lib/python1.5/site-packages directory (non-executable)

2) Even if you move them and make them executable, clap.py looks for a
    module called "up2datepopt", which is not supplied by anyone, and I
    believe is outdated.

Please forward to all responsible packages. Thanks.
Comment 1 John MacLean 2002-04-10 00:00:33 EDT
Similar error using skipjack betas 1 & 2.

# up2date -u
Traceback (innermost last):
  File "/usr/sbin/up2date", line 16, in ?
    import clap
  File "/usr/lib/python1.5/site-packages/clap.py", line 12, in ?
    popt = __import__("up2datepopt")
ImportError: No module named up2datepopt
#

The fix is to install python-popt. The up2date rpm should be updated to include
this package as a dependancy.

Note You need to log in before you can comment on or make changes to this bug.